API & References
/Receipts
//
Create Template
Upload a new custom Liquid template for receipt or email rendering. The template is created in DRAFT status and must be activated before use. Liquid syntax is validated on creation.
Security
OAuth2
RECEIPT - Template for the rendered receipt document (HTML). RECEIPT_EMAIL - Template for the receipt notification email body.
Enum:"RECEIPT""RECEIPT_EMAIL"
- Mock serverhttps://docs.nelnetpay.com/_mock/apis/receipts-service/templates
- Production serverhttps://api.nelnetpay.com/receipts/templates
- Staging serverhttps://api.uat.nelnetpay.com/receipts/templates
curl -i -X POST \
https://docs.nelnetpay.com/_mock/apis/receipts-service/templates \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"entityId": 0,
"name": "Custom branded receipt",
"type": "RECEIPT",
"content": "string",
"description": "string"
}'Response
{ "responseCode": "A100", "responseMessage": "Approved", "responseDetails": null, "object": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "entityId": 0, "name": "string", "type": "RECEIPT", "engineType": "LIQUID", "content": "string", "version": 1, "status": "DRAFT", "isSystem": true, "description": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "createdBy": "string" } }